#!/bin/sh
T3D=t3d         # T3D executable name
T3D2VTK=t3d2vtk # T3D2VTK executable name

NAME=beam
$T3D -d 3.0 -U 0 -4 -2.5 -i $NAME.in -o $NAME.out
$T3D2VTK $NAME.out $NAME.vtk

NAME=cube
$T3D -d 1.0 -i $NAME.in -o $NAME.out
$T3D2VTK $NAME.out $NAME.vtk

NAME=cube_with_spherical_inclusions
$T3D -e 0.001 -v 2.0 -p 8 -k 2 -r 1 -i $NAME.in -o $NAME.out
$T3D2VTK $NAME.out $NAME.vtk

NAME=flange
$T3D -d 10.0 -w 0.5 -i $NAME.in -o $NAME.out
$T3D2VTK $NAME.out $NAME.vtk

NAME=logo
$T3D -d 0.3333 -v 2.0 -i $NAME.in -o $NAME.out
$T3D2VTK $NAME.out $NAME.vtk

NAME=shelter
$T3D -d 0.5 -i $NAME.in -o $NAME.out
$T3D2VTK $NAME.out $NAME.vtk

NAME=torus
$T3D -d 0.1 -i $NAME.in -o $NAME.out
$T3D2VTK $NAME.out $NAME.vtk
